// s2001Editor.cpp : DLL アプリケーション用のエントリ ポイントを定義します。
//
#pragma warning( disable : 4786 )	//STLの警告外し
#include "stdafx.h"
#include <string>
#include <map>
//#include "s2001objs.h"

typedef sf::application::scene::Scene* (*SceneCreateFunc)(int);

std::map<std::string,int> SceneNameMap;
std::map<int,SceneCreateFunc> SceneMap;

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    //
	//SceneNameMap["DispositionEditor"] = ID_DisposiotionEditor;
	//Scene
	return TRUE;
}

extern "C" sf::application::scene::Scene *  APIENTRY  createSceneFromID(int SceneID)
{

}

extern "C" sf::application::scene::Scene *  APIENTRY  createSceneFromName(std::string name)
{

}

extern "C" sf::application::scene::Scene *  APIENTRY  idOfSceneName(int SceneID)
{

}
